Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.lookup.entry
Class StatusBean

    java.lang.Object
      net.jini.lookup.entry.StatusBean

All Implemented Interfaces:
  EntryBean, Serializable

public abstract class StatusBean
extends Object
implements EntryBean, Serializable

A JavaBeans(TM) component that encapsulates a Status object. Since the Status class is abstract, so too is this JavaBeans component.

See Also:
  `Status`, Serialized Form

Field Summary
`protected Status` | `assoc` The Status object associated with this JavaBeans component.

Constructor Summary
`protected` | `StatusBean()` Unlike other EntryBean constructors, this one does not establish a link to a new object.

Method Summary
`Entry` | `followLink()` Return the Entry linked to by this JavaBeans component.
`StatusType` | `getSeverity()` Get the value of the severity field of the Status object to which this JavaBeans component is linked.
`void` | `makeLink(Entry e)` Make a link to an Entry object.
`void` | `setSeverity(StatusType x)` Set the value of the severity field of the Status object to which this JavaBeans component is linked.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### assoc

    protected Status assoc

  The Status object associated with this JavaBeans component.

Constructor Detail

### StatusBean

    protected StatusBean()

  Unlike other EntryBean constructors, this one does not establish a link to a new object.

Method Detail

### makeLink

    public void makeLink(Entry e)

  Make a link to an Entry object.

  Specified by:
    `makeLink` in interface `EntryBean`
  Parameters:
    `e` - the Entry object to link to
  Throws:
    `ClassCastException` - the Entry is not of the correct type for this component

### followLink

    public Entry followLink()

  Return the Entry linked to by this JavaBeans component.

  Specified by:
    `followLink` in interface `EntryBean`
  Returns:
    the entry linked to by this JavaBeans component.

### getSeverity

    public StatusType getSeverity()

  Get the value of the severity field of the Status object to which this JavaBeans component is linked.

  Returns:
    a StatusType object representing the severity value
  See Also:
    `setSeverity(net.jini.lookup.entry.StatusType)`

### setSeverity

    public void setSeverity(StatusType x)

  Set the value of the severity field of the Status object to which this JavaBeans component is linked.

  Parameters:
    `x` - the new value to put in place
  See Also:
    `getSeverity()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved